Extension Gd Sqlite3 is missing from your system – Laravel composer Update

0
222

if you are working in PHP version 7.* then you have to install

sudo apt-get install php7.0-gd

In your php.ini, just uncomment the line extension=php_gd2.dll (or .so extension for unix systems.)
Open your php.ini and uncomment this line:

———

Changing, in the php.ini file under cli directory,

;sqlite3.extension_dir =

in

sqlite3.extension_dir = /var/www/sqlite3_ext

——-

extension=php_gd2.dll
# service nginx restart

OR
# service nginx reload

OR if you are using systemd based Linux distro:
$ sudo systemctl restart nginx

OR
$ sudo systemctl reload nginx

To view status:
# service nginx status

OR
$ sudo systemctl status nginx

——————

The requested PHP extension ext-sqlite3 * is missing from your system. Install or enable PHP’s sqlite3 extension.

php -m

Getting:

With the following composer.json:

{
“require-dev”: {
“ext-soap”: “*”
}
}

When I run this command:

composer update –no-dev -vvv